%define rel 2
Name:          bluedevil
Summary:       BlueDevil is the new bluetooth stack for KDE4
Group:         Communications/Bluetooth
Version:       1.3
Release:       %mkrel %{rel}
License:       GPLv2
URL:           https://projects.kde.org/projects/extragear/base/bluedevil
Source0:       ftp://ftp.kde.org/pub/kde/stable/%{name}/%{version}/src/%name-%{version}.tar.bz2
BuildRequires: pkgconfig(bluedevil) >= 1.9
BuildRequires: kdelibs4-devel
Provides:      bluez-pin
Requires:      bluez >= 4.28
Requires:      kdebase4-runtime
Requires:      obexd
Obsoletes:     kbluetooth <= 1:0.5

%description 
BlueDevil is the new bluetooth stack for KDE, it's composed of: 
KCM, KDED, KIO, Library and some other small applications.

%files -f %{name}.lang 
%{_kde_bindir}/*
%{_kde_libdir}/kde4/*
%{_kde_services}/*
%{_kde_servicetypes}/*
%{_kde_applicationsdir}/*
%{_kde_appsdir}/bluedevil/
%{_kde_appsdir}/bluedevilwizard/
%{_kde_datadir}/mime/packages/bluedevil-mime.xml
%{_datadir}/dbus-1/services/org.kde.BlueDevil.Service.service
%{_kde_libdir}/libbluedevilaction.so

#------------------------------------------------

%package devel
Summary: Devel stuff for %name
Group: Development/KDE and Qt

%description  devel
This package contains header files needed if you wish to build applications
based on %{name} .

%files devel
%{_kde_includedir}/actionplugin.h

#-----------------------------------------------------------------------------

%prep
%setup -qn %{name}-%{version}

%build
%cmake_kde4
%make

%install
rm -rf %buildroot
%makeinstall_std -C build
%find_lang %name



%changelog

* Fri Jan 11 2013 umeabot <umeabot> 1.3-2.mga3
+ Revision: 346922
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 31 2012 fwang <fwang> 1.3-1.mga3
+ Revision: 336659
- new version 1.3

* Tue Oct 09 2012 fwang <fwang> 1.3-0.rc3.1.mga3
+ Revision: 303804
- new version 1.3 rc3

* Wed Oct 03 2012 malo <malo> 1.3-0.rc2.2.mga3
+ Revision: 302253
- update RPM group

* Thu May 03 2012 mikala <mikala> 1.3-0.rc2.1.mga2
+ Revision: 234686
- Remove sed line (missing ; fix upstream)
- Update tarball to 1.3 rc2

* Sun Mar 11 2012 anssi <anssi> 1.3-0.rc1.2.mga2
+ Revision: 222795
- fix versioned obsoletes for smooth upgrade from kbluetooth

  + mikala <mikala>
    - Fix group
    - Fix macro usage

* Mon Oct 10 2011 mikala <mikala> 1.3-0.rc1.1.mga2
+ Revision: 153661
- Update tarball to 1.3 rc1
- use pkgconfig() for BR

* Wed Oct 05 2011 mikala <mikala> 1.2.1-1.mga2
+ Revision: 151582
- Update tarball to 1.2.1
- Remove %%defattr()
- Fix license

* Thu Sep 01 2011 ze <ze> 1.2-0.rc2.1.mga2
+ Revision: 137458
- fix categories for desktop files network-dun and network-panu
- fix sha
- update source
- fix renaming
- remove clean section (done by default)
- version 1.2-rc2

  + fwang <fwang>
    - new version 1.1.1

  + misc <misc>
    - do not requires bluez-sdp, as it was merged with bluez, already required

* Tue May 03 2011 mikala <mikala> 1.1-0.mga1
+ Revision: 94334
- Versionnate BR ( bluedevil 1.1 need libbluedevil 1.9)
- Update tarball to 1.1

* Sun Apr 10 2011 dmorgan <dmorgan> 1.0.4-2.mga1
+ Revision: 82740
- Obsoletes kbluetooth ( cf -dev ML)

* Tue Apr 05 2011 mikala <mikala> 1.0.4-1.mga1
+ Revision: 80673
- Update tarball to 1.0.4

* Thu Mar 24 2011 mikala <mikala> 1.0.3-1.mga1
+ Revision: 76380
- Update tarball to 1.0.3

* Mon Feb 21 2011 mikala <mikala> 1.0.2-1.mga1
+ Revision: 55324
- Remove BuildRoot
- Add an obsolete against kdebluetooth
- Add a require for obexd (runtime dependency)
- imported package bluedevil

